## visad.data.units
Class UnitPrefix

    java.lang.Object
      visad.data.units.UnitPrefix

All Implemented Interfaces:
  Serializable

public class UnitPrefix
extends Object
implements Serializable

Class for representing unit prefixes.

See Also:
  Serialized Form

Field Summary
`String` `name` The name of the prefix:
`double` `value` The value of the prefix:

Constructor Summary
`UnitPrefix(String name, double value)` Construct.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

  The name of the prefix:

### value

    public final double value

  The value of the prefix:

Constructor Detail

### UnitPrefix

    public UnitPrefix(String name,
                      double value)

  Construct.

Parameters:
  `name` - The name of the prefix (e.g. "mega", "M").
  `value` - The value of the prefix (e.g. 1e6).
Throws:
  `IllegalArgumentException` - One of the arguments was null.